* Update readme
authorDon Armstrong <don@donarmstrong.com>
Tue, 15 Jan 2008 00:04:14 +0000 (00:04 +0000)
committerDon Armstrong <don@donarmstrong.com>
Tue, 15 Jan 2008 00:04:14 +0000 (00:04 +0000)
git-svn-id: file:///srv/svn/function2gene/trunk@25 a0738b58-4706-0410-8799-fb830574a030

README

diff --git a/README b/README
index 9f589a5..182edf7 100644 (file)
--- a/README
+++ b/README
@@ -1,28 +1,51 @@
 INSTALLATION 
 
-Function2Gene currently requires the following:
+Prerequisites
 
-perl
-wget
-HTML::TreeBuilder
-HTML::ElementTable
-XML::Parser::Expat
-Thread::Queue
+Function2Gene requires the following modules and programs to work
+properly:
 
-these requirements are most easily satisfied on a Debian system (or
-other unix systems) but it is possible to use windows system as well.
+  * perl
+  * wget
+  * HTML::TreeBuilder
+  * HTML::ElementTable
+  * XML::Parser
 
-On Debian machines:
+The operating system-specific instructions below will help you to
+install these modules.
 
-aptitude install wget perl libwww-perl libxml-parser-perl dh-make-perl;
-dh-make-perl --cpan --build --install Thread::Queue;
+Unix instructions
 
-will retrieve the necessary commponents. [On lenny or unstable, you
-will want libhtml-parser-perl instead of libwww-perl.]
+If you're running a reasonably modern Linux (or other UNIX variant,
+like MacOS X) you already have perl and wget. If so, you can install
+the remaining modules by doing the following:
 
-For other systems, installing the modules using CPAN may be the best
-approach.
+ cpan install HTML::TreeBuilder
+ cpan install HTML::Element::Extended
+ cpan install XML::Parser
 
+If you are running Debian, you can just run the following:
+
+ aptitude install wget perl libhtml-element-extended-perl libxml-parser-perl
+
+Windows
+
+If you are using a windows-based machine, first consider switching to (or
+dual-booting) Debian or Ubuntu or a similar Free Software distribution. If
+switching isn't for you, you will need to install cygwin (a linux-like
+environment for windows), which (by default) will install perl and wget.
+
+You can then use the cpan commands listed above to install the required
+modules:
+
+ cpan install HTML::TreeBuilder
+ cpan install HTML::Element::Extended
+ cpan install XML::Parser
+
+Other Operating Systems
+
+If you are using another operating system (minux, MacOS 9, UNIVAX, Plan9,
+OS/2, etc.) you're on your own.
 
 
 USAGE